function par_structure = param_scale(genType)

phenType(1)  = genType(1)*(-10)+5;              % 1-1
phenType(2)  = genType(2)*(-10)+5;              % 1-2
phenType(3)  = genType(3)*(-10)+5;              % 1-3
phenType(4)  = genType(4)*(-10)+5;              % 2-1
phenType(5)  = genType(5)*(-10)+5;              % 2-2
phenType(6)  = genType(6)*(-10)+5;              % 2-3
phenType(7)  = genType(7)*(-10)+5;              % 3-1
phenType(8)  = genType(8)*(-10)+5;              % 3-2
phenType(9)  = genType(9)*(-10)+5;              % 3-3

phenType(10) = genType(10)*(-2)+1;              % baseline 1
phenType(11) = genType(11)*(-2)+1;              % baseline 2
phenType(12) = genType(12)*(-2)+1;              % baseline 3

parameters.w_11 = phenType(1);
parameters.w_12 = phenType(2);
parameters.w_13 = phenType(3);
parameters.w_21 = phenType(4);
parameters.w_22 = phenType(5);
parameters.w_23 = phenType(6);
parameters.w_31 = phenType(7);
parameters.w_32 = phenType(8);
parameters.w_33 = phenType(9);

parameters.bl1 = phenType(10);
parameters.bl2 = phenType(11);
parameters.bl3 = phenType(12);

par_structure = parameters;